Draft Line/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand|Name=Draft Line|Workbenches=Kreslení, Architektura|MenuLocation=Draft -> Line|Shortcut=L I|SeeAlso=Kreslení drát}}")
(Created page with "==Popis== Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální pracovní rovině. Použije se [[Draft Linestyle|tloušťka čáry a ba...")
Line 1: Line 1:
{{GuiCommand|Name=Draft Line|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Draft -> Line|Shortcut=L I|SeeAlso=[[Draft Wire|Kreslení drát]]}}
{{GuiCommand|Name=Draft Line|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Draft -> Line|Shortcut=L I|SeeAlso=[[Draft Wire|Kreslení drát]]}}


==Description==
==Popis==
The Line tool creates a straight, two-points line in the current [[Draft Workingplane|work plane]]. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab. The Line tool behaves exactly like the [[Draft Wire]] tool, except that it stops after two points.
Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální [[Draft Workingplane|pracovní rovině]]. Použije se [[Draft Linestyle|tloušťka čáry a barva]] předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj [[Draft Wire|Drát]] kromě toho že končí po zadání dvou bodů.


[[Image:Draft_Line_example.jpg|400px]]
[[Image:Draft_Line_example.jpg|400px]]

Revision as of 17:49, 20 January 2014

Draft Line

Menu location
Draft -> Line
Workbenches
Kreslení, Architektura
Default shortcut
L I
Introduced in version
-
See also
Kreslení drát

Popis

Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální pracovní rovině. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj Drát kromě toho že končí po zadání dvou bodů.

How to use

  1. Press the Draft Line button, or press L then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • ÚdajeStart: The start point
  • ÚdajeEnd: The end point

Scripting

The Line tool can by used in macros and from the python console by using the following function:

{{Code|code=
makeLine (Vector, Vector)
}}
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

{{Code|code=
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}